Globant SA

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/globant-sa/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/globant-sa/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1621900800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1557860/000110465921071235/tm2116803d1_ex99-1.htm",
    "holding_balance": 15.0,
    "holding_net_change": 15.0,
    "transaction_value_usd": 500000.0,
    "average_entry_value_usd": 33333.33,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/globant-sa/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    15.0
  ],
  [
    1782950400000,
    15.0
  ],
  [
    1783036800000,
    15.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/globant-sa/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    899468.25
  ],
  [
    1782950400000,
    922317.4500000001
  ],
  [
    1783036800000,
    937889.85
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/globant-sa/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 28.02,
    "date": "2026-06-30",
    "high": 29.5,
    "open": 29.14,
    "close": 28.94,
    "volume": 2343400
  },
  {
    "low": 29.77,
    "date": "2026-07-01",
    "high": 31.92,
    "open": 29.77,
    "close": 31.39,
    "volume": 3197000
  },
  {
    "low": 31.79,
    "date": "2026-07-02",
    "high": 33.19,
    "open": 31.79,
    "close": 32.51,
    "volume": 2140900
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/globant-sa/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 1.5476,
  "quarterly_earnings_growth": 0.25,
  "eps_estimate_current_quarter": 1.4992
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/globant-sa/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -23.11,
  "six_month_return": -51.1,
  "three_month_return": -30.18
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/globant-sa/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.1,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}